Bug 1252078 - Unnecessary desktop redraws on mouse click breaking root-tail
Unnecessary desktop redraws on mouse click breaking root-tail
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: xfdesktop (Show other bugs)
22
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-10 12:31 EDT by Jaroslav Škarvada
Modified: 2015-10-03 17:18 EDT (History)
2 users (show)

See Also:
Fixed In Version: 4.12.3-2.fc23 xfdesktop-4.12.3-2.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-09-01 14:31:49 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jaroslav Škarvada 2015-08-10 12:31:08 EDT
Description of problem:
In the new xfce the desktop is redrawn on each mouse click. It is causing unnecessary redraws and breaking root-tail. Upstream patch is linked bellow.

Version-Release number of selected component (if applicable):
xfdesktop-4.12.3-1.fc22.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Run root-tail with -id pointing to the xfdesktop window

Actual results:
Desktop is redrawn on each mouse click clearing root-tail output.

Expected results:
No redraw

Additional info:
Upstream bugzilla with upstream patch:
https://bugzilla.xfce.org/show_bug.cgi?id=12071
Comment 1 Fedora Update System 2015-08-21 16:55:38 EDT
xfdesktop-4.12.3-2.fc23 has been submitted as an update to Fedora 23. https://bugzilla.redhat.com/show_bug.cgi?id=1252078
Comment 2 Fedora Update System 2015-08-21 17:14:15 EDT
xfdesktop-4.12.3-2.fc22 has been submitted as an update to Fedora 22. https://bugzilla.redhat.com/show_bug.cgi?id=1252078
Comment 3 Fedora Update System 2015-08-21 22:50:38 EDT
xfdesktop-4.12.3-2.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update xfdesktop'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-13954
Comment 4 Fedora Update System 2015-08-22 12:23:56 EDT
xfdesktop-4.12.3-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update xfdesktop'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-13953
Comment 5 Fedora Update System 2015-09-01 14:31:48 EDT
xfdesktop-4.12.3-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2015-10-03 17:18:38 EDT
xfdesktop-4.12.3-2.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.